apiVersion: v1
kind: Secret
metadata:
  name: payment-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  TZ: {{ .Values.payment.configs.tz | b64enc | quote }}
  APP_NAME: {{ .Values.payment.configs.appName | b64enc | quote }}
  SERVICE_API_ACCESS_HOST: {{ .Values.payment.configs.serviceApiAccessHost | b64enc | quote }}
  SERVICE_API_ACCESS_PORT: {{ .Values.payment.configs.serviceApiAccessPort | toString | b64enc }}
  MONGODB_NAME: {{ .Values.payment.configs.mongodbName | b64enc | quote }}
  MONGODB_PORT: {{ .Values.payment.configs.mongodbPort | toString | b64enc }}
  SITE_URL_ROOT: {{ .Values.payment.configs.siteUrlRoot | b64enc | quote }}
  METRICS_ENABLED: {{ .Values.payment.configs.metricsEnabled | default false | toString | b64enc }}
  PROBES_ENABLED: {{ .Values.payment.configs.probesEnabled | default false | toString | b64enc }}